/* Overall Styling
 *****************/
* {
  box-sizing:border-box;
  padding: 0;
  margin: 0;
}

body {
  background-color: #23424A;
  color: white;
  font-family: sans-serif;
}

img {
  max-width: 100%;
}


/* CSS Grid Styling
 ******************/
header {
  grid-area: header;
}
.messages {
  grid-area: messages;
}
.content {
  grid-area: content;
}
footer {
  grid-area: footer;
}

.grid-container {
  display: grid;
  grid-template-columns: 10% 1fr 1fr 10%;
  grid-auto-rows: minmax(30px, auto);
  grid-gap: 10px;
  grid-template-areas:
    "header    header     header    header"
    "messages  messages   messages  messages"
    "...       content    content   ..."
    "footer    footer     footer    footer";
}


/* Header Styling
 ****************/
header {
  background-color: #136C72;
  border: 1px solid #136C72;
  padding: 0.75em 0;
}

.nav {
  display: flex;
  justify-content: space-between;
}

.nav-list {
  display: flex;
  justify-content: space-between;
  list-style: none;
  padding: 0 1em;
}

.nav-item {
  text-decoration: none;
}

.nav-item + .nav-item {
  margin-left: 1.5em;
}

.nav-link {
  color: white;
  font-size: 1.5rem;
  text-decoration: none;
  text-transform: capitalize;
}


/* Message Styling
 *****************/
.flash-message {
  background: #38CFD9;
  display: flex;
  justify-content: space-between;
  padding: 0.5em 1em;
  transition: opacity 1.0s;
}

.flash-message p, span {
  font-size: 1.1rem;
  color: white;
}

.flash-message span {
  cursor: pointer;
  transition: 0.5s;
}

.flash-message span:hover {
  color: black;
}

.flash-message-error {
  background: red;
}

.flash-message-success {
  background: green;
}

.flash-message-info {
  background: blue;
}


/* Content Styling
 *****************/
.content {
  margin: auto;
}


/* Error Page Styling
 ********************/
.errorpage-title {
  text-align: center;
  margin-bottom: 1em;
}

.errorpage-text {
  text-align: center;
  font-size: 1.15rem;
  margin-bottom: 1em;
}


/* Footer Styling
 ****************/
footer {
  margin: auto;
}

footer h3 {
  color: white;
}
